Update database throttler configurations
Authorization
A service token or OAuth token must have at least one of the following access or scopes in order to use this API endpoint:
Service Token Accesses
write_database
OAuth Scopes
| Resource | Scopes |
|---|---|
| Organization | deploy_deploy_requests |
| Database | deploy_deploy_requests |
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
- Authorization URL
- https://app.planetscale.com/oauth/authorize
- Token URL
- https://auth.planetscale.com/oauth/token
Path Parameters
The name of the organization that the throttled deploy requests belong to
The name of the database that the throttled deploy requests belong to
Body
A throttler ratio between 0 and 95 that will apply to all keyspaces in the database. 0 effectively disables throttler, while 95 drastically slows down deploy request migrations
If specifying throttler ratios per keyspace, an array of { "keyspace_name": "mykeyspace", "ratio": 10 }, one for each eligible keyspace

